%define name pgrpm
%define version 0.1.3.2
%define release %mkrel 1

Summary: rpm binding for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Databases
Url: http://pgfoundry.org/projects/pgrpm/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: postgresql-devel
BuildRequires: rpm-devel

%description
This contribution to postgres provides functions and operators to allow
sorting and checking strings version like rpm does.

%prep
%setup -q

%build
%make

cat > README.urpmi <<EOF
Remember to run %_datadir/pgsql/contrib/pgrpm.sql or
%_datadir/pgsql/contrib/pgrpm-update.sql to finalyze
installation into your postgresql server.
Something like:
  psql -U postgres template1 < FILE
should works.
EOF

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -fr %buildroot%_datadir/doc/postgresql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_libdir/pgsql/*.so
%_datadir/pgsql/contrib/*

%changelog
* Sat Sep 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.2-1mdk
- 0.1.3.2

* Sun Aug 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.1-1mdk
- 0.1.3.1

* Sun Aug 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-1mdk
- 0.1.3

* Mon May 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.2-1mdk
- 0.1.2

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-2mdk
- rebuild for rpm

* Thu Apr 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-1mdk
- 0.1.1

* Wed Apr 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.0-1mdk
- 0.1.0

* Sat Mar 26 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.2-1mdk
- 0.0.2

* Thu Mar 24 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-2mdk
- patch0: fix create function

* Wed Mar 23 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-1mdk
- 1st package
